> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Session

> Start a new session



## OpenAPI

````yaml /openapi.json post /v1/sessions/start
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/sessions/start:
    post:
      tags:
        - Sessions
      summary: Start Session
      description: Start a new session
      operationId: start_session_v1_sessions_start_post
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response_StartSessionResponseSchema_'
      security:
        - HTTPBearer: []
components:
  schemas:
    Response_StartSessionResponseSchema_:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          anyOf:
            - $ref: '#/components/schemas/StartSessionResponseSchema'
            - type: 'null'
        message:
          title: Message
          type: string
      type: object
      title: Response[StartSessionResponseSchema]
    StartSessionResponseSchema:
      properties:
        session_id:
          type: string
          title: Session Id
        livekit_url:
          type: string
          title: Livekit Url
        livekit_client_token:
          type: string
          title: Livekit Client Token
        livekit_agent_token:
          title: Livekit Agent Token
          type: string
        max_session_duration:
          title: Max Session Duration
          type: integer
        ws_url:
          title: Ws Url
          description: Websocket URL to send session events to. Custom Mode only.
          type: string
      type: object
      required:
        - session_id
        - livekit_url
        - livekit_client_token
      title: StartSessionResponseSchema
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````